#include <stdio.h>
#include <conio.h>

#define N 100

main()
{
	int element[N+1], i, j;

   for (i = 0; i <= N; ++i)
   	element[i]= i;

   for (i = 2; i <= N; ++i)
   {
   	if (element[i] != 0)
      {
      	for (j = 2*i; j <= N; j = j + i)
         {
         	element[j] = 0;
         }
      }
	}

   for (i = 0; i <= N; ++i)
   	if (element[i] != 0)
      	printf("Primzahl: %d \n",element[i]);

   getch();
}